Welcome to the Pacman bug tracker. Please search the current bugs and feature requests before filing a new one! Use advanced search and select "Search in Comments".

* Please select the correct category and version.
* Write a descriptive summary, background info, and provide a reproducible test case whenever possible.

FS#26445 - pacman --ignore pacman prompt upgrade first pacman

Attached to Project: Pacman
Opened by S├ębastien Luttringer (seblu) - Friday, 14 October 2011, 19:18 GMT
Last edited by Allan McRae (Allan) - Sunday, 22 April 2012, 10:39 GMT
Task Type Bug Report
Category General
Status Closed
Assigned To No-one
Architecture All
Severity Low
Priority Normal
Reported Version 3.5.4
Due in Version 4.1.0
Due Date Undecided
Percent Complete 100%
Votes 0
Private No


I think pacman forget to remove "upgrade first" prompt when we ignore package pacman (maybe others if they exist).

pacman -Su --ignore pacman
:: The following packages should be upgraded first :
:: Do you want to cancel the current operation
:: and upgrade these packages now? [Y/n]

After says n, everything goes fine, pacman is ignored.

If i answer y, i got the following message:
:: pacman is in IgnorePkg/IgnoreGroup. Install anyway? [Y/n] y

I think it should be more expected behaviour if pacman was ignored as asked on command line and doesn't prompt the "upgrade first" prompt
This task depends upon

Closed by  Allan McRae (Allan)
Sunday, 22 April 2012, 10:39 GMT
Reason for closing:  Won't implement
Additional comments about closing:  SyncFirst has been removed for 4.1.0
Comment by Richard Pougnet (pougnet) - Monday, 13 February 2012, 03:18 GMT
Patch has been sent to mailing list.
Edit: 20 Feb